Get the day off of a person for a date

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/persons/{person_id}/day-offs/{date}

Get the day off of a person for one date. An administrator, the person, and a manager of a project where the person is a team member get the day off with its description. A supervisor of such a project who shares a department with the person gets the day off without its description. A supervisor without department gets it for all the persons of their projects. The manager and supervisor roles are the roles held on the project team. Other users cannot read it.

Path parameters

  • person_id string(uuid) Required

    Person unique identifier

  • date string(date) Required

    Date in the YYYY-MM-DD format

Responses

  • 200 application/json

    The day off, or an empty object if the person works on this date

    Hide response attributes Show response attributes object
    • id string(uuid)

      Day off unique identifier

    • person_id string(uuid)

      Person unique identifier

    • date string(date)

      Day off date

    • end_date string(date)

      Last date of the day off

    • description string

      Day off description, absent for a supervisor

  • 400

    The date is not valid

  • 403

    You cannot read the day offs of this person, or the person is a bot

  • 404

    The person does not exist

GET /data/persons/{person_id}/day-offs/{date}
curl -X GET "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/day-offs/2022-07-12" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/day-offs/2022-07-12"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "person_id": "b35b7fb5-df86-5776-b181-68564193d360",
  "date": "2022-07-12",
  "end_date": "2022-07-12",
  "description": "Holidays"
}